from django_tables2 import SingleTableView
from django.contrib.auth.mixins import UserPassesTestMixin
from SharixAdmin.groups import group_required
from SharixAdmin.tables import become_partnerTable
from django.contrib.auth.decorators import login_required
from metaservicesynced.models import Company
from SharixAdmin.views.context import get_context
from django.http import JsonResponse
from django.http import HttpResponse


class become_partnerListView(UserPassesTestMixin, SingleTableView):
    table_class = become_partnerTable
    queryset = Company.objects.all()
    template_name = 'SharixAdmin/become_partner.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context.update(get_context(self.request, {
            'title': 'Стать партнером',
            'object_list': context['object_list'],
        }))
        return context
    
    def test_func(self) -> bool or None:
        group_names = ('METASERVICE-ADMIN')
        if bool(self.request.user.groups.filter(name=group_names)) or self.request.user.is_superuser:
            return True
        return False

@login_required
@group_required('METASERVICE-ADMIN')
def change_become_partner_status(request):
    if request.method == 'POST':
        become_partner_id = request.POST.get('become_partner_id')
        new_status = request.POST.get('new_status')
        become_partner = Company.objects.get(pk=become_partner_id)
        become_partner.status = new_status
        coopertion.save()
        return JsonResponse({'status': 'success'})
    else:
        return JsonResponse({'status': 'error'})